NXP NFC Reader Library v4.040.05.011646

Data Fields
phalMfdf_Sw_DataParams_t Struct Reference
Application Layer » MIFARE DESFire (R) » Component : Software

struct phalMfdf_Sw_DataParams_t More...

## Data Fields
uint16_t | wId
| Layer ID for this component, NEVER MODIFY!
void * | pPalMifareDataParams
| Pointer to the parameter structure of the palMifare component. More...
void * | pKeyStoreDataParams
| Pointer to the parameter structure of the KeyStore layer. More...
void * | pCryptoDataParamsEnc
| Pointer to the parameter structure of the Crypto layer for encryption. More...
void * | pCryptoRngDataParams
| Pointer to the parameter structure of the CryptoRng layer. More...
void * | pHalDataParams
| Pointer to the HAL parameters structure. More...
uint8_t | bSessionKey [24]
| Session key for this authentication.
uint8_t | bKeyNo
| key number against which this authentication is done
uint8_t | bIv [16]
| Max size of IV can be 16 bytes.
uint8_t | bAuthMode
| Authenticate (0x0A), AuthISO (0x1A), AuthAES (0xAA)
uint8_t | pAid [3]
| Aid of the currently selected application.
uint8_t | bCryptoMethod
| DES,3DES, 3K3DES or AES.
uint8_t | bWrappedMode
| Wrapped APDU mode. More...
uint16_t | wCrc
| 2 Byte CRC initial value in Authenticate mode. More...
uint32_t | dwCrc
| 4 Byte CRC initial value in 0x1A, 0xAA mode. More...
uint16_t | wAdditionalInfo
| Specific error codes for Desfire generic errors. More...
uint16_t | wPayLoadLen
| Amount of data to be read. More...
uint8_t | bLastBlockBuffer [16]
| Buffer to store last Block of encrypted data in case of chaining. More...
uint8_t | bLastBlockIndex
| Last Block Buffer Index. More...

## Detailed Description

struct phalMfdf_Sw_DataParams_t

## Field Documentation

## § pPalMifareDataParams

void* phalMfdf_Sw_DataParams_t::pPalMifareDataParams

Pointer to the parameter structure of the palMifare component.

## § pKeyStoreDataParams

void* phalMfdf_Sw_DataParams_t::pKeyStoreDataParams

Pointer to the parameter structure of the KeyStore layer.

## § pCryptoDataParamsEnc

void* phalMfdf_Sw_DataParams_t::pCryptoDataParamsEnc

Pointer to the parameter structure of the Crypto layer for encryption.

## § pCryptoRngDataParams

void* phalMfdf_Sw_DataParams_t::pCryptoRngDataParams

Pointer to the parameter structure of the CryptoRng layer.

## § pHalDataParams

void* phalMfdf_Sw_DataParams_t::pHalDataParams

Pointer to the HAL parameters structure.

## § bWrappedMode

uint8_t phalMfdf_Sw_DataParams_t::bWrappedMode

Wrapped APDU mode.

All native commands need to be sent wrapped in ISO 7816 APDUs.

## § wCrc

uint16_t phalMfdf_Sw_DataParams_t::wCrc

2 Byte CRC initial value in Authenticate mode.

## § dwCrc

uint32_t phalMfdf_Sw_DataParams_t::dwCrc

4 Byte CRC initial value in 0x1A, 0xAA mode.

## § wAdditionalInfo

uint16_t phalMfdf_Sw_DataParams_t::wAdditionalInfo

Specific error codes for Desfire generic errors.

## § wPayLoadLen

uint16_t phalMfdf_Sw_DataParams_t::wPayLoadLen

Amount of data to be read.

Required for Enc read to verify CRC.

## § bLastBlockBuffer

uint8_t phalMfdf_Sw_DataParams_t::bLastBlockBuffer[16]

Buffer to store last Block of encrypted data in case of chaining.

## § bLastBlockIndex

uint8_t phalMfdf_Sw_DataParams_t::bLastBlockIndex

Last Block Buffer Index.

The documentation for this struct was generated from the following file:

- phalMfdf.h